#include <iostream>

using namespace std;

int main()
{
    int szam, kartyafel,kartyak[20000],a=0,i,n;
    cin>>szam>>kartyafel;
    for(i=0;i<szam;i++)
    {
        cin>>kartyak[i];

    }
    for(n=0;n<szam;n++)
    {
        if(kartyak[n]==kartyafel)
        {
            a=n+1;
        }
    }
    if(a==szam)
        cout<<kartyak[0];
    else
        cout<<kartyak[a];

    return 0;
}